---
jupytext:
  text_representation:
    extension: .md
    format_name: myst
    format_version: 0.13
    jupytext_version: 1.15.1
kernelspec:
  display_name: C++17
  language: C++17
  name: xcpp17
---

+++ {"deletable": false, "editable": false, "nbgrader": {"cell_type": "markdown", "checksum": "1ae98047ab0c0fa3c5fb84ea1cec6196", "grade": false, "grade_id": "cell-b8c416c088e04329", "locked": true, "schema_version": 3, "solution": false}}

# Laby, niveau 2d: Le Zig-Zag des cailloux

<!-- Objectifs pédagogiques
- renforcer les fonctions
- écrire ses propres fonctions
- indiquer que l'on peut ajouter de nouvelles cellules
!-->

Un nouveau zig-zag, mais cette fois avec des cailloux, et c'est à vous
de rédiger l'intégralité du programme. Inspirez-vous bien sûr des deux
niveaux précédents!

**Indications :**
- Définissez deux fonctions.
- Chaque fonction doit être définie dans une cellule dédiée. Pour
  insérer une nouvelle cellule, vous pouvez par exemple utiliser
  l'icône <kbd>+</kbd> de la barre d'outils.

[Niveau précédent](2c.md), <!--[Liste des niveaux](index.md#ListeDesNiveaux), !-->[Niveau suivant](3a.md), [Documentation](0b.md#Documentation)

```{code-cell}
---
deletable: false
editable: false
nbgrader:
  cell_type: code
  checksum: a1a3bb382dcd1f30ca7c969d15a1edb7
  grade: false
  grade_id: cell-199792c3eff47344
  locked: true
  schema_version: 3
  solution: false
---
#include <laby/global_fr.hpp>
LABY("2d")
```

```{code-cell}
---
deletable: false
nbgrader:
  cell_type: code
  checksum: ee35476b4b283104fbd5b893dfd2cdfe
  grade: false
  grade_id: cell-e4edec00b45b5607
  locked: false
  schema_version: 3
  solution: true
  task: false
---
// REMPLACER CETTE LIGNE PAR VOTRE RÉPONSE
```

```{code-cell}
---
deletable: false
nbgrader:
  cell_type: code
  checksum: c969570655b35171552df6fe54e5b0a1
  grade: false
  grade_id: cell-b73f084d78a8d521
  locked: false
  schema_version: 3
  solution: true
  task: false
---
// REMPLACER CETTE LIGNE PAR VOTRE RÉPONSE
```

```{code-cell}
---
deletable: false
nbgrader:
  cell_type: code
  checksum: 805baee5569996edb1554c01c5ab1dc1
  grade: false
  grade_id: cell-5eb33a572123ee68
  locked: false
  schema_version: 3
  solution: true
---
debut();
// REMPLACER CETTE LIGNE PAR VOTRE RÉPONSE
ouvre();
```

```{code-cell}
---
deletable: false
editable: false
nbgrader:
  cell_type: code
  checksum: 3d318f6b9bcc8e41b6c21507e9aebeed
  grade: true
  grade_id: cell-664874c0b554e5f7
  locked: true
  points: 1
  schema_version: 3
  solution: false
---
CHECK( a_gagne() );
```

